import { CreateImageSourceFromEanPipe } from './generate-image-src-from-ean.pipe';

describe('Pipe: CreateImageSourceFromEanPipe', () => {
  let pipe: CreateImageSourceFromEanPipe;

  const ean = '123456';

  beforeEach(() => {
    pipe = new CreateImageSourceFromEanPipe();
  });

  it('should return the image url for the provided ean', () => {
    const result = pipe.transform(ean);

    expect(result).toEqual(`https://produktbilder.ihugendubel.de/${ean}.jpg?showDummy=true`);
  });
});
